commit:     e27617e94248fbb327179a2f089ec37e2fdfbc5e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  7 01:41:57 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep  7 02:38:37 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e27617e9

dev-python/simsimd: Bump to 6.5.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/simsimd/Manifest             |  2 ++
 dev-python/simsimd/simsimd-6.5.3.ebuild | 63 +++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/simsimd/Manifest b/dev-python/simsimd/Manifest
index 187d1ef165db..1ac4a6f20923 100644
--- a/dev-python/simsimd/Manifest
+++ b/dev-python/simsimd/Manifest
@@ -1,2 +1,4 @@
 DIST SimSIMD-6.5.1.gh.tar.gz 225914 BLAKE2B 
f093f6c4cbd42d4c5c1e6c995a269d2fd0832cd754d1c6e897d8ba76e58d3cafd91b64227d70a511fb652d127a1b52c165345aca250c2d45f57257611964c865
 SHA512 
0003651b577b48205e581e99390c5969d38ad25e6264b505b43122e8480cf4834c1b24129c28793c3df8afbdf38fee63e3eefb6a8bfb9071d7808961438193d5
 DIST SimSIMD-6.5.2.gh.tar.gz 220738 BLAKE2B 
ae2a22bd3ac9dc1f02c3675061bee4e8e24ee535520db904d518560e0fa4daf80bec8a3d4451ea1f12143e6c584ed9e41fc7806011e958deadd6a887a6961243
 SHA512 
2963a74386771a32345b8018a6bf45fb77a42689ed4120e37257bec33a43a4a8802ca5ca8e2ce57fff73afa2564975b11a8ea0871e88194c16ce87129bf95956
+DIST simsimd-6.5.3.tar.gz 184865 BLAKE2B 
beb35b81ab1b5d722c4e3c824075e150620943bd66ba488be020c0de3d5fa3ffd24efc7870763fe3d4c9e0d824e2b116af942b2bd3e38463d5948a5832a2fbf8
 SHA512 
adc914bba666fc05b57b40f0b00b591d15d6e834eed27d232ef498bd93b0ed398a0348478fc4f2517a1f5d973985060d93a2c3346917ce4a47b90a5e359668b8
+DIST simsimd-6.5.3.tar.gz.provenance 9307 BLAKE2B 
ae0de33d7d106b0ecc3705bcb8d5b5ec6a42fd12657b2b429083991187747e4ea7f1d5b37205b9d1aae5f1db5acfb42fb3417ac89470e34c2d28fda1f4d3f4f0
 SHA512 
dda353b271dca77f89362ad18d24fea82c07395b2d753a2afaeb133cb50fa2d8fec7b2c2c836ab995f2292cc09b53c67e2aedccfff6111cbeb2445aab112185f

diff --git a/dev-python/simsimd/simsimd-6.5.3.ebuild 
b/dev-python/simsimd/simsimd-6.5.3.ebuild
new file mode 100644
index 000000000000..9b56789781b2
--- /dev/null
+++ b/dev-python/simsimd/simsimd-6.5.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/ashvardanian/SimSIMD
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi toolchain-funcs
+
+DESCRIPTION="Fastest SIMD-Accelerated Vector Similarity Functions for x86 and 
Arm"
+HOMEPAGE="
+       https://github.com/ashvardanian/SimSIMD/
+       https://pypi.org/project/simsimd/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="openmp"
+
+BDEPEND="
+       test? (
+               dev-python/tabulate[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=( pytest-repeat )
+distutils_enable_tests pytest
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+               tc-check-openmp
+       fi
+}
+
+pkg_setup() {
+       if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+               tc-check-openmp
+       fi
+}
+
+src_prepare() {
+       sed -i -e '/-O3/d' setup.py || die
+       if ! use openmp; then
+               sed -i -e '/-fopenmp/d' setup.py || die
+       fi
+
+       distutils-r1_src_prepare
+}
+
+src_compile() {
+       einfo "Please disregard initial compiler errors -- the package is 
checking"
+       einfo "for target support."
+
+       distutils-r1_src_compile
+}
+
+python_test() {
+       epytest scripts/test.py
+}

Reply via email to